Qt 5.7 | Qt 3D | QML Types | PickEvent QML Type

Qt 5.7.1 Reference Documentation

# PickEvent QML Type

PickEvent holds information when an object is picked. More...

Import Statement: | import Qt3D.Render 2.0
Instantiates: | QPickEvent

- List of all members, including inherited members

## Properties

- accepted : bool
- distance : bool
- localIntersection : bool
- position : bool
- worldIntersection : bool

## Detailed Description

See also ObjectPicker and PickingSettings.

## Property Documentation

accepted : bool

Specifies if event has been accepted

distance : bool

Specifies the distance of the event

localIntersection : bool

Specifies the world local intersection of the event

position : bool

Specifies the position of the event

worldIntersection : bool

Specifies the world intersection of the event